package com.yonge.cooleshow.biz.dal.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * Description
 *
 * @author liujunchi
 * @date 2022-08-16
 */
@ApiModel("内容数据-声部")
public class SubjectHomeVo {

    @ApiModelProperty("排序")
    private Integer index;

    @ApiModelProperty("声部id")
    private Long subjectId;

    @ApiModelProperty("声部名")
    private String subjectName;

    @ApiModelProperty("乐谱启用数")
    private Integer enableMusicSheetNum;

    @ApiModelProperty("乐谱数")
    private Integer musicSheetNum;


    @ApiModelProperty("平台乐谱启用数")
    private Integer enablePlatformMusicSheetNum;

    @ApiModelProperty("平台乐谱数")
    private Integer musicPlatformSheetNum;


    @ApiModelProperty("老师乐谱启用数")
    private Integer enableTeacherMusicSheetNum;

    @ApiModelProperty("老师乐谱数")
    private Integer musicTeacherSheetNum;


    @ApiModelProperty("陪练课程组")
    private Integer practiceNum;

    @ApiModelProperty("琴房课课程组")
    private Integer pianoClassNum;

    @ApiModelProperty("直播课程组")
    private Integer liveNum;

    @ApiModelProperty("视频课课程组")
    private Integer videoNum;


    public Integer getIndex() {
        return index;
    }

    public void setIndex(Integer index) {
        this.index = index;
    }

    public Long getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Long subjectId) {
        this.subjectId = subjectId;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public Integer getEnableMusicSheetNum() {
        return enableMusicSheetNum;
    }

    public void setEnableMusicSheetNum(Integer enableMusicSheetNum) {
        this.enableMusicSheetNum = enableMusicSheetNum;
    }

    public Integer getMusicSheetNum() {
        return musicSheetNum;
    }

    public void setMusicSheetNum(Integer musicSheetNum) {
        this.musicSheetNum = musicSheetNum;
    }

    public Integer getEnablePlatformMusicSheetNum() {
        return enablePlatformMusicSheetNum;
    }

    public void setEnablePlatformMusicSheetNum(Integer enablePlatformMusicSheetNum) {
        this.enablePlatformMusicSheetNum = enablePlatformMusicSheetNum;
    }

    public Integer getMusicPlatformSheetNum() {
        return musicPlatformSheetNum;
    }

    public void setMusicPlatformSheetNum(Integer musicPlatformSheetNum) {
        this.musicPlatformSheetNum = musicPlatformSheetNum;
    }

    public Integer getEnableTeacherMusicSheetNum() {
        return enableTeacherMusicSheetNum;
    }

    public void setEnableTeacherMusicSheetNum(Integer enableTeacherMusicSheetNum) {
        this.enableTeacherMusicSheetNum = enableTeacherMusicSheetNum;
    }

    public Integer getMusicTeacherSheetNum() {
        return musicTeacherSheetNum;
    }

    public void setMusicTeacherSheetNum(Integer musicTeacherSheetNum) {
        this.musicTeacherSheetNum = musicTeacherSheetNum;
    }

    public Integer getPracticeNum() {
        return practiceNum;
    }

    public void setPracticeNum(Integer practiceNum) {
        this.practiceNum = practiceNum;
    }

    public Integer getPianoClassNum() {
        return pianoClassNum;
    }

    public void setPianoClassNum(Integer pianoClassNum) {
        this.pianoClassNum = pianoClassNum;
    }

    public Integer getLiveNum() {
        return liveNum;
    }

    public void setLiveNum(Integer liveNum) {
        this.liveNum = liveNum;
    }

    public Integer getVideoNum() {
        return videoNum;
    }

    public void setVideoNum(Integer videoNum) {
        this.videoNum = videoNum;
    }
}
